Subject: Re: [PATCH 0/6] Remove GIT_TEST_GETTEXT_POISON facility

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Wed, 20 Jan 2021 19:13:27 +0100

On Wed, Jan 20 2021, SZEDER Gábor wrote:

> On Mon, Jan 11, 2021 at 03:47:34PM +0100, Ævar Arnfjörð Bjarmason wrote:
>> As argued upthread and in 2/6 this test setup has outrun its
>> usefulness.
>> 
>> This series begins to remove it in a way that's very careful about not
>> stepping on the toes of any other in-flight patches. In particular
>> "master" isn't anywhere in the diff context here to avoid conflicts
>> with the series to do that mass-replacement in t/. 
>> 
>> This series merges and tests cleanly in combination with the current
>> "seen" branch.
>> 
>> At the end we're left with a bunch of tests still using
>> test_i18n{cmp,grep}, but I think that's preferable to having in-flight
>> conflicts. It'll be trivial to search-replace those at some point in
>> the future where we don't have another search-replacement series
>> amending t/ in-flight.
>> 
>> Ævar Arnfjörð Bjarmason (6):
>>   ci: remove GETTEXT_POISON jobs
>>   tests: remove support for GIT_TEST_GETTEXT_POISON
>>   tests: remove misc use of test_i18n{cmp,grep}
>>   tests: (almost) remove use of "test_i18ngrep !"
>>   tests: (almost) remove C_LOCALE_OUTPUT prerequisites
>>   tests: remove uses of GIT_TEST_GETTEXT_POISON=false
>
> At the end of this patch series there are still a couple of remnants
> left:
>
>   - t3406: has a comment about gettext poisoning.
>
>   - Makefile still has a warning about for the GETTEXT_POISON build
>     knob referring to GIT_TEST_GETTEXT_POISON and t/README.
>
> I think both can be simply removed.

The Makefile comment was in the [email-masked]
sibling series, but I'll fix the other one in this one. Thanks!